Add character limitation on description field for MySQL
2016-10-05 20:15 - Helder Manuel Torres Vieira

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version: 3.3.0

Description

Defect Description

On the actual version as in the las trunk, when trying to create a new description with more than 65536 characters, Redmine answers
with an error 500.

This happens when the adapter ActiveRecord of MySQL is used, as the field description is of type :text and the maximum limit that it
accepts is 65536 as i explain on the next link:

With this patch this problem is solved as it adds a validation in case of the adapter being MySQL.
Lorem ipsun dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula sget dolor. Asnean massa. Cum sociis natogue penatibus et magnis dis parturient montes, nascatur ridiculus mus. Donse quam felis, -
ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliguet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo.
Wullem dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aensan vulputate eleifend tellus. fenean leo ligula, porttifor eu, consequat vitas, sleifend ac, enim.
Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laorest. Quizque rutrum. Asnean imperdiet. Etiam Ultricies nisi vel augue. Cursbitur ullameorper ultricies
nisi. Nam eget dui. Etiam rhoncus. Haccenas tempus, tellus eget condimentum rhoncus, sem gquam semper libero, sit amet adipiscing sem negue sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.
Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero yenenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringills mauris sit amet nibh. Donec
sodales sagittis magna. Sed consequat, leo eget bibendum todales, augue velit cursus nunc, quis gravids magna mi a libero. Fusce vulputste sleifend sapien. Vestibulum purus quam, scelerisque uf, mollis sed, nonummy
id, metus. Mullan accunsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curac; In ac dui quis mi comsectetuer
lacinia. Mam pretium turpis et accu. Duis arcy torton. suscipit sgef. imperdist nec, imperdiet iaculis. ipsum. Sed aliguam ultrices mauris. Integer ante arcu, accumsan =, consecietuer sgef, posuers uf, mauris.
Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus. Vestibulum volutpat pretium libero. Cras id dui. Asnesn ut eros et nisl segittis vestibulum. Nullam nulla eros, ultricies sit amet,
nonummy id, imperdiet feugiat, pede. Sed lectus. Danec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Wunc nec neque. Phasellus leo dolor, tempus non,
auctor et, hendrerit quis. nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Mascenas malesuada. Pragsent comgue eraf at massa. Sed cursus turpis vitse tortor. Donec posusre
vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsun primis in faucibus orci luctus et ultrices pezusre cubilia Curas; Sed aliguam, nisi quis portiitor congue, elit erat euismod orci, ac placerat
dolor lectus quis orci. Phesellus consectetuer vestibulun clit. Acnean tellus metus, bibendun sed, posuere ac, matris non, nunc. Vestibulum fringills peds sit amet augue. In turpis. Pellentesque posuere. Pracsent
turpis. Aenean posuere, fortor sed cursus feugiat, nunc zugue blandit nunc, e sollicitudin urna dolor sagittis Tacus. Doner siit Iibero, sodeles nec, volutpat a, suscipit non, turpis. Mullam sagittis. Suspendisse
pulvinar, augue ac venenatis condimentum, sem libero volutpat nibh, nec pellentesque velit pede gquis nunc. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuers cubilia Curas; Fusce id purus. Ut
Sariin tincidunt Libero. Shascils dolor. liaecenas vestibuim mellis dism Pellontesdus ot neues. Polloncesnue habitant morbi fristidue senecrus ot netus ot malesusds fomas sc Turpis cEestes. In dui magna. pesners
eget, vestibulum et, tempor auctor, justo. In ac felis quis tortor malesuada pretium. Pellentesque auctor negue nec urna. Proin sapien ipsum, porta &, auctor quis, suismod ut, mi. Asnean viverra rhoncus pede.
Pellentesque habitant morbi tristigue senectus et netus et malesuada fames ac turpis egestas. Ut non enim eleifend felis pretium feugiat. Vivamus quis mi. Phasellus a est. Phasellus megna. In hac habitasse platea
dictunst. Curabitur ot lacus ac velit ornare lobortis. Curabitur a felis in nunc fringills tristique. Morbi mattis ullamcorper velit. Phasellus gravida semper nisi. Nullam vel sem. Pellentesque libero tortor,
tincidunt et, tincidunt sget, semper nec, quam. Sed hendrerit. Morbi ac falis. Munc egestss, augue at pellentesque laorset, felis eros vehiculs leo, at malesuada velit leo quis pede. Donsc interdum, metus et
hendrerit aliguet, dolor diam sagittis ligula, sget egestas libero turpis vel mi. Nunc nulla. Fusce risus nisl, viverra t, temper et, pretium in, sapien. Donec venenatis vulputate lorem. Morbi nec metus. Phasellus
blandit leo Ut odio. Maecenas ullamcorper, dui et placerst feugiat, eros pede varius nisi, condimentum viverra felis nunc et lorem. Sed magna purus, fermentum eu, tincidunt eu, varius ut, felis. In auctor lobortis
lacus. Quisque libero metus, condimentum nec, tempor =, commodo mollis, magna. Vestibulum ullamcorper mauris at liguls. Fusce fermentum. Nullam cursus lacinia srat. Prassent blandit laorest mibh. Fusce convallis
metus id felis luctus adipiscing. Pellentesque egestas, neque sit amet convallis pulvinar, justo nulla eleifend augue, ac auctor orci leo non est. Quisque id mi. Ut tincidunt tincidunt erat. Etiam feugiat lorem non v
netus. Vestibulum dapibus nunc ac augue. Curabitur vestibulum aliguam leo. Prassent egestas neque eu enin. In hac habitasse platea dictumst. Fusce a quam. Etiam ut purus mettis mauris sodales aliguam. Curabitur nisi
Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your Redmine administ

check your log files for details about

If you are the Redmine adminis

Back

t u 1
Completed 500 Internal Server Error in 43ms (ActiveRecord: 5.5ms)

at row 1: INSERT INTO ‘issues’

'Lorem ipsum dolor sit amet,

(Mysql2: :Error: Data too long for column 'description' (*project_id",
“lack_version') VALUES (1, 1, '2016-10-03', 1, 1, 'Test Long Issue’,
nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis
justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus.

dapibus in, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet.
tellus eget condimentum rhoncus, sem guam semper libero, sit amec adipiscing sem neque sed ipsum.
Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo.
Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut,
cubilia Curae; In ac dui quis mi consectetuer lacinia.

ictiveRecord: : StatementInvalid
Jr*, ‘created on°,
Joarturient montes,
c, imperdiet a, venenatis vitae,
end ac, enim. Aliquam lorem ante,
vet qui. Eciam rhoncus. Maecenas tempus,
Jant tempus. Donec vitae sapien ut libero venenatis faucibus.
sodales, augue velit cursus nunc, quis gravida magna mi a libera.
fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere

viverra quis, Quisque rut:

2025-05-17

“author_id®,
consectetuer adipiscing elit.

Vivamus elementum semper nisi.

“description’, *updated_of

priozity id",
Cum sociis natoque penatibus et magnis dis
rhoncus

*status_id’,
Zenean massa.

“start_date’, ‘tracker id’, *subject’,
Aenean commodo ligula eget dolor.
Donec pede justo, aliquet nec, vulputate eget, arcu. In enim justo,
Aencan vulputate cleifend tellus. Aenean leo ligula, DOrttitor eu, consequat vitae,
rum. Renean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi.
Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincid)
Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendun]
mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit]
Nam pretium turpis et arcu. Duis arcu tortor,

enim. fringilla vel,
eleis]

Nam o

suscipit eget, imperdiet nec, imperdiet iaculis,
Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aencan commodo ligula cget dolor. Asncan massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis,
ultricies nec, pellentesque

eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In emim justo, rhoncus ut, imperdiet a, venenatis vitae,
Nullem dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi

Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus

nisi. Nam eget dui. Etiam rhoncus

Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim
Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Cursbitur ullamcorper ultricies
Haecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.
Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Danec
sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc,

id, metus. Mullam accumsan lorem in dui. C

Justo.

gravida magna mi a libero. Fusce vulputate eleifend sapien. vestibulum purus quam, scelerisque ut, mollis sed, nonummy
ras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curas; In ac dui quis mi consectetuer
lacinia. Mem pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdict nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris.
Pracsent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus. Vestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Mullam nulla eros, ultricies sit amet,
nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Mumc nec neque. Phasellus leo dolor, tempus non,
auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdict, leo. Mascenas malesuada. Prassent congue erat at massa. Sed cursus turpis vitae tortor. Donec posuere
vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac placerat
dolor lectus quis orci. Phasellus consectetuer vestibulum elit. Asnean tellus metus, bibendum sed, posuere ac, mattis non, nunc. Vestibulum fringilla pede sit amet augus. In turpis. Pellentesque posuere. Praesent
turpis. Aencan posuere, tortor sed cursus feugiat, nunc sugue blandit nunc, eu sollicitudin urna dolor sagittis lacus. Denec elit libero, sodales nec, volutpat a, suscipit non, turpis. Nullam sagittis. Suspendisse
pulvinar, augue ac venenatis condimentum, sem libero volutpat nibh, nec pellentesque velit pede quis nunc. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce id purus. Ut
varius tincidunt libero. Phasellus dolor. Maccenas vestibulum mollis diam. Pellentesqus ut neque. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In dui magna, posuere
eget, vestibulum et, tempor auctor, justo. In ac felis quis tortor malesuada pretium. Pellentesque auctor neque nec urna. Proin sapien ipsum, porta a, auctor quis, eulsmod

Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Ut non enim eleifend felis pretium feugiat. Vivamus quis mi. Phasellus a est.

ut, mi. Acnsan viverra rhoncus pede.
dictumst. Curabitur at lacus ac velit ornare lobortis. Curabitur a felis in nunc fringilla tristique. Morbi mattis ullamcorper velit. Phasellus gravida semper nisi. Nullam

Phasellus magna. In hac habitasse platea
vel sem. Pellentesque libero tortor,

tincidunt et, tincidunt eget, semper nec, quam. Sed hendrerit. Morbi ac felis. Nunc egestas, augue at pellentesque laoreet, felis eros vehicula leo, at malesuada velit leo quis pede. Donec interdum, metus et
hendrerit aliquet, dolor iam sagittis ligula, eget egestas libero turpis vel mi. Nunc nulla. Fusce risus nisl, viverra et, tempor et, pretium in, sapien. Donec venenatis vulputate lorem. Morbi nec metus. Phasellus
blandit leo Ut odic. Maecenas ullamcorper, dui et placerst feugiat, eros pede varius nisi, condimentum viverra feliz nunc =t lorem. Sed magna purus, fermentum eu, tincidunt eu, varius ut, felis. In auctor lobortis
lacus. Quisque libero metus, candimentum nec, tempor a, commodo mollis, magna. Vestibulum ullamcorper mauris at ligula. Fusce fermentum. Nullam cursus lacinia erat. Praesent blandit laoreet nibh. Fusce convallis
metus id felis luctus adipiscing. Pellentesque egestas, neque sit amet convallis pulvinar, justo nulla eleifend augue, ac auctor orci leo non est. Quisque id mi. Ut tincidunt tincidunt erat. Etiam feugiat lorem non
metus. Vestibulum depibus nunc ac augue. Curabitur vestibulum aliquam leo. Prassent egestas neque eu enim. In hac habitasse platea dictumst. Fusce a quam. Etiam ut purus mattis mauris sodales aliquam. Curabitur nisi
Quisque malesuada placerat nisl. Nam ipsum risus, rutrum vitae, vestibulum ey, molestie vel, lacus. Sed augue ipsum, egestas nec, vestibulum et, malesuada adipiscing, dui. vestibulum facilisis, purus nec pulvinar
iaculis, ligula mi congue nunc, vitae euismod ligula urnz in dolor. Mauris sollicitudin fermentum libero. Praesent nonummy mi in odio. Munc interdum lacus sit amet orci. Vestibulum rutrum, mi nec elementum vehicula,
eros quem gravida nisl, id fringilla neque ante vel mi. Morbi mollis tellus ac sapien. Phasellus volutpat, metus eget egestas mollis, lacus lacus blandit dui, id egestas quam mauris ut lacus. Fusce vel dui. Sed in
libero ut nibh placerat accumsan. Proin faucibus arcu quis ante. In consectetuer turpis ut velit. Nulla sit amet est. Praesent metus tellus, elementum eu, semper a, adipiscing nec, purus. Cras risus ipsum, faucibus
ut, ullamcorper id, varius ac, leo. Suspendisse feugiat. Suspendisse enim turpis, dictum sed, iaculis a, condimentum nec, nisi. Praesent nec nisl a purus blandit viverra. Prassent ac massa at ligula laoreet iaculis.
Nulla neque dolor, sagittis eget, iaculis quis, molestie non, velit. Mauris turpis nunc, blandit et, velutpat molestie, porta ut, ligula. Fusce pharetra convallis urna. Quisque ut nisi. Donec mi odio, faucibus at,
scelerisque quis, convallis in, nisi. Suspendisse non nisl sit amet velit hendrerit rutrum. Ut leo. Ut a nisl id ante tempus hendrerit. Proin pretium, leo ac pellentesque mollis, felis nunc ultrices eros, sed gravida
augue augue mollis justo. Suspendisse eu ligula. Nulla facilisi. Domec id justo. Praesent porttitor, nulla vitae posuere iaculis, arcu nisl dignissim dolor, a pretium mi sem ut ipsum. Curabitur suseipit suscipit
tellus. Praesent vestibulum dapibus nibh. Etiam iaculis nunc ac metus. Ut id nisl quis enim dignissim sagittis. Etiam sollicitudin, ipsum eu pulvinar rutrum, tellus ipsum laoreet sapien, quis venenatis ante odic sit
amet eros. Proin magna. Duis vel nibh at velit scelerisque suscipit. Curabitur turpis. Vestibulum suscipit nulla quis orci. Fusce ac felis sit amet ligula pharetra condimentum. Maecenas egestas arcu quis ligula
mattis placerat. Duisz lobortis massa imperdiet quam. Suspendisse potenti. Pellentesque commodo eros a enim
volutpat. Etiam vitae tortor. Morbi vestibulum volutpat enim. Aliguam e nunc. Nunc sed turpis. Sed mollis, eros et ultrices tempus, mauris ipsum aliquam libero, non adipiscing doler wrna a orci. Hulla porta dalor.
Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenseos. Pellentesque dapibus hendrerit tortor. Prassent egestas tristique nibh. Sed a libero. Cras varius. Donec vitae orci sed
dolor rutrum auctor. Fusce egestas elit eget lorem. Suspendisse nicl elit, rhoncus eget, elementum ac, condimentum eget, diam. Nam at tortor in tellus interdum sagittis. Aliquam lobortis. Donec orci lectus, aliquam
ut, faucibus non, euismod id, nulla. Curabitur blandit mollis lacus. Nam adipiscing. Vestibulum eu odio. Vivamus laoreet. Nullam tincidunt adipiscing enim. Phasellus tempus. Proin viverra, ligula sit amet ultrices
semper, ligula arcu tristique sapien, a accumsan nisi mauris ac eros. Fusce neque

Vestibulum turpis sem, aliquet eget, lobortis pellentesque, rutrum eu, nisl. Sed libero. Aliquam erat

Suspendisse faucibus, nunc et pellentesque sgestas, lacus ante convallis tellus, vitae iaculis lacus elit id tortor. Vivamus aliquet
elit ac nisl. Fusce fermentum odic nec arcu. Vivamus suismod mauris. In ut quam vitae odio lacinia tincidunt. Prassent ut ligula non mi varius sagittis. Cras sagittis. Praesent ac sem eget est egestas volutpat.
Vivamus consectetuer hendrerit lacus. Cras non dolor. Vivamus in erat ut urna cursus vestibulum.

Fusce commodo aliguam arcu. Nam commodo suscipit quam. Ouisaue id odio. Pracsent vemenatis metus at tortor pulvinar

Related issues:

Related to Redmine - Feature #19869: Consider increasing the size limit of de...

Closed
Related to Redmine - Defect #20127: The description column in the issues tabl...

Closed

History
#1 - 2016-10-06 14:41 - Toshi MARUYAMA

- Related to Feature #19869: Consider increasing the size limit of description and note columns for tickets added
#2 - 2016-10-08 10:52 - Jean-Philippe Lang

I'd rather increase the size of the description column for Mysq|l (as it was already done for wiki pages) in order to have the same behaviour as other
DBMS. I'm assigning #20127 to 3.4.0.

#3 - 2016-10-24 16:32 - Go MAEDA

- Related to Defect #20127: The description column in the issues table is too short (MySQL) added

#4 - 2016-10-24 16:34 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed
Resolved in r15905 (#20127).
